Get usage summary
curl --request GET \
--url https://api.runaether.dev/v1/usage/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/usage/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/usage/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data_notes": {
"cache_tokens_available": true,
"cost_available": true,
"hardware_breakdown_available": true,
"reasoning_tokens_available": true,
"running_runtime_intervals_included": true
},
"generated_at": "2023-11-07T05:31:56Z",
"group_series": [
{
"key": "<string>",
"label": "<string>",
"series": [
{
"agent_run_count": 1,
"credits_used": 1,
"date": "<string>",
"task_count": 1,
"tokens_in": 1,
"tokens_out": 1,
"total_tokens": 1,
"vm_uptime_seconds": 1
}
],
"sublabel": "<string>"
}
],
"groups": [
{
"agent_run_count": 1,
"credits_used": 1,
"key": "<string>",
"label": "<string>",
"task_count": 1,
"tokens_in": 1,
"tokens_out": 1,
"total_tokens": 1,
"vm_uptime_seconds": 1,
"sublabel": "<string>"
}
],
"range": {
"bucket": "day",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"series": [
{
"agent_run_count": 1,
"credits_used": 1,
"date": "<string>",
"task_count": 1,
"tokens_in": 1,
"tokens_out": 1,
"total_tokens": 1,
"vm_uptime_seconds": 1
}
],
"task_pagination": {
"has_more": true,
"limit": 2,
"offset": 1,
"total": 1
},
"tasks": [
{
"agent_run_count": 1,
"credits_used": 1,
"model": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"task_count": 1,
"task_id": "<string>",
"task_name": "<string>",
"tokens_in": 1,
"tokens_out": 1,
"total_tokens": 1,
"vm_uptime_seconds": 1,
"completed_at": "2023-11-07T05:31:56Z",
"hardware": {
"cpus": 8,
"memory_mb": 16512,
"volume_size_gb": 250
},
"pr_number": 2,
"started_at": "2023-11-07T05:31:56Z"
}
],
"totals": {
"agent_run_count": 1,
"credits_used": 1,
"task_count": 1,
"tokens_in": 1,
"tokens_out": 1,
"total_tokens": 1,
"vm_uptime_seconds": 1
},
"vm_runtime_series_by_tier": [
{
"credits_per_hour": 1,
"credits_used": 1,
"date": "<string>",
"hardware": {
"cpus": 8,
"memory_mb": 16512,
"volume_size_gb": 250
},
"runtime_class_label": "<string>",
"task_count": 1,
"vm_uptime_seconds": 1
}
],
"totals_previous": {
"agent_run_count": 1,
"credits_used": 1,
"task_count": 1,
"tokens_in": 1,
"tokens_out": 1,
"total_tokens": 1,
"vm_uptime_seconds": 1
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Usage
Get usage summary
GET
/
usage
/
summary
Get usage summary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
none, project, agent, model, vm_size, status Required range:
x >= 0Required range:
1 <= x <= 100Available options:
credits, runtime, tokens, started_at, name Available options:
asc, desc Response
OK
Show child attributes
Show child attributes
Available options:
none, project, agent, model, vm_size, status Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I